Terminate a contract
curl --request PATCH \
--url https://api.spacebring.com/contracts/v1/{contractId}/terminate \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.spacebring.com/contracts/v1/{contractId}/terminate"
payload = {}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.spacebring.com/contracts/v1/{contractId}/terminate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"type": "<string>"
}Contracts
Terminate a contract
Terminate a contract.
OAuth
Required scopes:invoicesPATCH
/
contracts
/
v1
/
{contractId}
/
terminate
Terminate a contract
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the contract.
Body
application/json
Reason for termination.
Available options:
forceMajeure, mutualAgreement, other, policyViolation, productUnsatisfactory Response
No Content
Was this page helpful?
⌘I